Bug 120300 - Create new icons for minimize row / minimize column
Summary: Create new icons for minimize row / minimize column
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0 target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2018-10-04 09:32 UTC by Justin L
Modified: 2018-12-11 20:34 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
bottomBar.png: for example, they will be grouped with these 4 table optimizers (13.43 KB, image/png)
2018-10-04 14:05 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2018-10-04 09:32:56 UTC
I would like to ask for two icons to be created for tables: minimize row(s) and minimize column(s).  .uno:SetMinimalRowHeight and .uno:SetMinimalColumnWidth

Currently in Writer and Draw, there are four icons related to auto-adjusting the rows and columns for equal size(distributed) or optimize..  I have a patch ready to increase that to 6 by adding a "minimize" adjust for both rows and columns.(https://gerrit.libreoffice.org/60902)
Comment 1 Justin L 2018-10-04 14:05:48 UTC
Created attachment 145378 [details]
bottomBar.png: for example, they will be grouped with these 4 table optimizers
Comment 2 V Stuart Foote 2018-10-12 12:42:32 UTC
To close out bug 64242 for 6.2.0, would be great to get at least minimum fall back icons in place.
Comment 3 Heiko Tietze 2018-10-15 09:58:54 UTC
Assigning this to Andreas as Colibre is the ultimate fallback. But would be good when we have not to fall back with other themes too.
Comment 4 Commit Notification 2018-10-27 20:21:55 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d666b6b19d3e400561edc585d967ecab266c6b8f

elementary: fix for tdf#120831 & tdf#120300, related to tdf#119731, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-03 18:38:11 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fd03b130525b9d7683c14939f6eec36895031930%5E%21

KJ: Fix for tdf#120300, tdf#120831, tdf#119731, tdf#111950 add Calc's sheet context menu, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-11-20 07:00:06 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/562f550ef139f0fdaf633884a01b55ee2d596bf6%5E%21

tdf#120300 add setminima icons to colibre and breeze

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-11-20 21:31:29 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/de4ffc3a70da6a8ce9897b7f08e345c29b69fd3c%5E%21

tdf#120300 add setminima icons to colibre and breeze

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2018-12-11 20:34:58 UTC
Solved.
Tested on:
Version: 6.3.0.0.alpha0+
Build ID: e4c2d0bb57ab8ea8f5c400d103d01376b8140f22
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-30_21:37:10
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded